

local ZoneText = CreateFrame("Frame", "StatBlock_ZoneText")
ZoneText.obj = _G.LibStub("LibDataBroker-1.1"):NewDataObject("ZoneText")

function ZoneText:UpdateBlock()
	local zone = GetSubZoneText()
	if zone == "" then
		zone = GetRealZoneText()
	end

	ZoneText.obj.text = zone
end

ZoneText:RegisterEvent("ZONE_CHANGED_INDOORS")
ZoneText:RegisterEvent("ZONE_CHANGED")
ZoneText:RegisterEvent("ZONE_CHANGED_NEW_AREA")
ZoneText:SetScript("OnEvent", function() ZoneText:UpdateBlock() end)

_G.MinimapZoneTextButton:UnregisterAllEvents()
_G.MinimapZoneTextButton:Hide()
ZoneText:UpdateBlock()
